package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaCertChaApplMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaCertChaAppl;
import com.goldenwater.slaj.ttsa.service.IBisTtsaCertChaApplService;

@Service
public class BisTtsaCertChaApplServiceImpl implements IBisTtsaCertChaApplService {
    @Autowired
    private BisTtsaCertChaApplMapper bisTtsaCertChaApplMapper;

    @Override
    public BisTtsaCertChaAppl selectBisTtsaCertChaApplByGuid(String guid) {
        return bisTtsaCertChaApplMapper.selectBisTtsaCertChaApplByGuid(guid);
    }

    @Override
    public List<BisTtsaCertChaAppl> selectBisTtsaCertChaApplList(BisTtsaCertChaAppl bisTtsaCertChaAppl) {
        return bisTtsaCertChaApplMapper.selectBisTtsaCertChaApplList(bisTtsaCertChaAppl);
    }

    @Override
    public int insertBisTtsaCertChaAppl(BisTtsaCertChaAppl bisTtsaCertChaAppl) {
        return bisTtsaCertChaApplMapper.insertBisTtsaCertChaAppl(bisTtsaCertChaAppl);
    }

    @Override
    public int updateBisTtsaCertChaAppl(BisTtsaCertChaAppl bisTtsaCertChaAppl) {
        return bisTtsaCertChaApplMapper.updateBisTtsaCertChaAppl(bisTtsaCertChaAppl);
    }

    @Override
    public int deleteBisTtsaCertChaApplByGuid(String guid) {
        return bisTtsaCertChaApplMapper.deleteBisTtsaCertChaApplByGuid(guid);
    }

    @Override
    public int deleteBisTtsaCertChaApplByGuids(String[] guids) {
        return bisTtsaCertChaApplMapper.deleteBisTtsaCertChaApplByGuids(guids);
    }
}
